clang 8.0.0

Classes | Namespaces | Enumerations
Module.h File Reference
`#include "clang/Basic/Module.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Serialization/ASTBitCodes.h"`
`#include "clang/Serialization/ContinuousRangeMap.h"`
`#include "clang/Serialization/ModuleFileExtension.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/PointerIntPair.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Bitcode/BitstreamReader.h"`
`#include "llvm/Support/Endian.h"`
`#include <cassert>`
`#include <cstdint>`
`#include <memory>`
`#include <string>`
`#include <vector>`
Include dependency graph for Module.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::serialization::InputFile
| The input file that has been loaded from this AST file, along with bools indicating whether this was an overridden buffer or if it was out-of-date or not-found. More...
class | clang::serialization::ModuleFile
| Information about a module that has been loaded by the ASTReader. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::serialization

## Enumerations
enum | clang::serialization::ModuleKind { clang::serialization::MK_ImplicitModule, clang::serialization::MK_ExplicitModule, clang::serialization::MK_PCH, clang::serialization::MK_Preamble, clang::serialization::MK_MainFile, clang::serialization::MK_PrebuiltModule }
| Specifies the kind of module that has been loaded. More...